%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	accountcodepreserve

Name:		freepbx-%{rawname}
Version:	16.0.0.1
Release:	2%{?dist}
Summary:	Preserve Accountcode

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz


Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
This module preservers the first callee's account code, that has an accountcode, that it encounters. This preserved accoutcode will be used to set the CDR(accountcode) for any outbound calls that result from any type of redirected call (CF, VmX, Follow-Me, etc.). The account code for each user is pulled out of their associated device settings, which means this is only supported in extension mode and would have to be updated for deviceanduser mode, requiring a new accountcode field to be defined for the user on the extension/user screen.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images assets sounds moh hooks ; do
        [ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done
[ -e assets/less ] && echo presente assets/less, va gestito && exit 1

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -depth -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Sun Feb 27 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.0.1
- Initial build
